<template>
  <div class="breadcrumbs">
    <div v-for="item in items" class="breadcrumbs__item">
      <span @click="$emit('changeParent', item.id)">{{ item.value }}</span>
      <span class="breadcrumbs__item__delimiter" v-if="item.id !== items[items.length - 1].id">/</span>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    items: {
      type: Array,
      required: true
    }
  }
}
</script>

<style scoped>
.breadcrumbs {
  display: flex;
  margin: 10px 0;
  font-size: 1.1rem;
}
.breadcrumbs__item {
  cursor: pointer;
}
.breadcrumbs__item__delimiter {
  padding: 0 5px;
}
</style>